unit Option_the_programm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  TFormOption = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    UpDown1: TUpDown;
    UpDown2: TUpDown;
    Ok: TButton;
    Cancel: TButton;
    procedure UpDown2Click(Sender: TObject; Button: TUDBtnType);
    procedure OkClick(Sender: TObject);
    procedure UpDown1Click(Sender: TObject; Button: TUDBtnType);
    procedure CancelClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormOption: TFormOption;
  i,j:integer;

implementation

uses Simplex;

{$R *.dfm}

procedure TFormOption.CancelClick(Sender: TObject);
begin
  Close;
end;

procedure TFormOption.OkClick(Sender: TObject);
begin
  n_ur:=UpDown1.Position;
  n_per:=UpDown2.Position;
  m:=n_ur;
  n:=n_per;
  Simplex.Form1.StringGrid1.RowCount:=n_ur+1;
  Simplex.Form1.StringGrid1.ColCount:=n_per+2;
  Simplex.Form1.StringGrid2.ColCount:=n_per;
  for i := 1 to n_per do
    begin
      Simplex.Form1.StringGrid1.Cells[i-1,0]:='x'+FloatToStr(i);
      Simplex.Form1.StringGrid2.Cells[i-1,0]:='x'+FloatToStr(i);
    end;
  Simplex.Form1.StringGrid1.Cells[n_per,0]:='';
  Simplex.Form1.StringGrid1.Cells[n_per+1,0]:='b';
  for i := 1 to n_ur do
    begin
      for j := 0 to n_per+1 do
        begin
          Form1.StringGrid1.Cells[j,i]:='';
          Form1.StringGrid2.Cells[j,1]:='';
        end;
    end;
  Simplex.Form1.Button2.Visible:=true;
  Simplex.Form1.Button1.Visible:=false;
  Simplex.Form1.Button_chto_esli.Visible:=false;
  Close;
end;

procedure TFormOption.UpDown1Click(Sender: TObject; Button: TUDBtnType);
begin
  if UpDown1.Position > 0 then
    begin
    Label1.Caption:='  '+ FloatToStr(UpDown1.Position);
    end
    else
    begin
      UpDown1.Position:=1;
      Label1.Caption:='  ' + FloatToStr(UpDown1.Position);
    end;
end;

procedure TFormOption.UpDown2Click(Sender: TObject; Button: TUDBtnType);
begin
  if UpDown2.Position > 0 then
    begin
    Label2.Caption:='  '+ FloatToStr(UpDown2.Position);
    end
    else
    begin
      UpDown2.Position:=1;
      Label2.Caption:='  ' + FloatToStr(UpDown2.Position);
    end;
end;

end.
